GAMMA(3)

SYNOPSIS
FUNCTION GAMMA (X)

NAME
gamma - Compute the complete Gamma function.

LIBRARY
SLATEC (FNLIB)

CATEGORY
C7A

TYPE
SINGLE PRECISION (GAMMA-S, DGAMMA-D, CGAMMA-C)

KEYWORDS
COMPLETE GAMMA FUNCTION, FNLIB, SPECIAL FUNCTIONS

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
GAMMA computes the gamma function at X, where X is not 0, -1, -2, .... GAMMA and X are single precision.

REFERENCES
(NONE)

ROUTINES CALLED
CSEVL, GAMLIM, INITS, R1MACH, R9LGMC, XERMSG

REVISION HISTORY (YYMMDD)
770601 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)